import React, { useState, useRef, useEffect, useMemo, useCallback } from "react";
import request from '@/utils/request';
import {
    SavedQueriesList,
    FilterLiveSearch,
    useNotify,
    useListContext,
    SearchInput,
    FilterList,
    FilterListItem,
} from 'react-admin';
import BookmarkIcon from '@mui/icons-material/BookmarkBorder';
import { Box, Typography, Card, CardContent, useTheme, Input } from '@mui/material';
import CategoryIcon from '@mui/icons-material/LocalOffer';


const WarehouseAside = () => {
    const isSelected = (value, filters) => {
        const aggType = filters.aggType || ["matnr"];
        return aggType.includes(value.aggType);
    };

    const toggleFilter = (value, filters) => {
        const aggType = filters.type || [];
        return {
            aggType: value.aggType,
        };
    };

    return (
        <Card
            sx={{
                order: -1,
                mr: 2,
                mt: 8,
                alignSelf: 'flex-start',
                width: 250,
                minWidth: 150,
                height: `87%`,
                "& .MuiTypography-root": {fontSize: '1rem'}
            }}
        >
            <FilterList label="common.aside.category" icon={<CategoryIcon />} sx={{ml: 2}}>
                <FilterListItem
                    label="common.aside.material"
                    value={{ aggType: 'matnr' }}
                    isSelected={isSelected}
                    toggleFilter={toggleFilter}
                />
                <FilterListItem
                    label="common.aside.supplier"
                    value={{ aggType: 'supplier' }}
                    isSelected={isSelected}
                    toggleFilter={toggleFilter}
                />
                <FilterListItem
                    label="common.aside.warehouse"
                    value={{ aggType: 'warehouse' }}
                    isSelected={isSelected}
                    toggleFilter={toggleFilter}
                />
                <FilterListItem
                    label="common.aside.batch"
                    value={{ aggType: 'batch' }}
                    isSelected={isSelected}
                    toggleFilter={toggleFilter}
                />
                <FilterListItem
                    label="common.aside.dynamicFields"
                    value={{ aggType: 'fieldsIndex' }}
                    isSelected={isSelected}
                    toggleFilter={toggleFilter}
                />
            </FilterList>

        </Card>

    )
}

export default WarehouseAside;
